### Method

# Gimp Gradient segment_range_split_midpoint

since: 2.2

#### Declaration [src]

    gboolean
    gimp_gradient_segment_range_split_midpoint (
      GimpGradient* gradient,
      gint start_segment,
      gint end_segment
    )

#### Description [src]

Splits each segment in the segment range at midpoint

Splits each segment in the segment range at its midpoint. Returns an error when a segment index is out of range, or gradient is not editable.

Available since: 2.2

#### Parameters

`start_segment`

  Type: `gint`

  Index of the first segment to operate on.

`end_segment`

  Type: `gint`

  Index of the last segment to operate on. If negative, the range will extend to the end segment.

#### Return value

Type: `gboolean`

TRUE on success.